<table class="table">
    <thead>
        <tr>
            <th>Id</th>
            <th>Ürün Adı</th>
            <th>Kategori</th>
            <th>Fiyat</th>
            <th>Stok Adedi</th>
        </tr>
    </thead>
    <tr *ngFor="let product of products">
        <td>{{product.productId}}</td>
        <td>{{product.productName}}</td>
        <td>{{product.categoryId}}</td>
        <td>{{product.unitPrice}}</td>
        <td>{{product.unitsInStock}}</td>
    </tr>
</table>